%global _description\
MarkupSafe implements a text object that escapes characters so it is safe to use in HTML and XML.\
Characters that have special meanings are replaced so that they display as the actual characters.\
This mitigates injection attacks, meaning untrusted user input can safely be displayed on a page.

Name:           python-markupsafe
Version:        1.1.1
Release:        7
Summary:        Safely add untrusted strings to HTML/XML markup.
License:        BSD
URL:            https://pypi.org/project/MarkupSafe/
Source0:        https://files.pythonhosted.org/packages/source/M/MarkupSafe/MarkupSafe-%{version}.tar.gz

%description %_description

%package -n python3-markupsafe
Summary:        %{summary} 
BuildRequires:  python3-devel python3-setuptools
%{?python_provide:%python_provide python3-markupsafe}

%description -n python3-markupsafe %_description

%package_help

%prep
%autosetup -n MarkupSafe-%{version}

%build
%py3_build


%install
%py3_install

%check
%{__python3} setup.py test


%files -n python3-markupsafe
%{python3_sitearch}/*.egg-info/
%exclude %{python3_sitearch}/markupsafe/_speedups.c
%{python3_sitearch}/markupsafe/

%files help
%doc README.rst

%changelog
* Fri Oct 30 2020 wuchaochao <wuchaochao4@huawei.com> - 1.1.1-7
- Type:bufix
- CVE:NA
- SUG:NA
- DESC:remove python2

* Sat Jul 25 2020 tianwei <tianwei12@huawei.com> - 1.1.1-6
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to release 1.1.1

* Fri Oct 11 2019 yefei <yefei25@huawei.com> - 1.0-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:move author from doc to license

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0-2
- Package init
